Buffer Profile

Get Buffer Profiles v2.0

GET https://yoursite.demanddriventech.com/odata/v2/bufferprofile

This endpoint allows you to get all buffer profiles for the current dataset. This endpoint does not currently accept parameters.

{
    "@odata.context": "https://yoursite.demanddriventech.com/odata/v2/$metadata#bufferprofile",
    "value": [
        {
            "DataSetId": 1,
            "Id": 10795,
            "LocationId": 87,
            "Name": "M11",
            "Location": "Plant2",
            "Description": "Make,1-2 days LT, Low variability",
            "GreenCalcMode": "Use % of usage over lead time",
            "ProfileType": "Custom",
            "PartType": "Make",
            "Status": "Active",
            "InventoryAlertLevel": 50,
            "OrderSpikeAlertLevel": 50,
            "OrderSpikeHorizon": 1.0,
            "GreenOrderCycle": 0.0,
            "GreenZoneBase": 50,
            "YellowOrderCycle": 0.0,
            "YellowZoneBase": 100,
            "RedOrderCycle": 0.0,
            "RedSafetyZone": 25,
            "RedZoneBase": 40,
            "LeadTimeMin": 0,
            "LeadTimeMax": 0,
            "VariabilityMin": 0,
            "VariabilityMax": 0,
            "OrderMinGTGreenZoneOrderCycleCalc": false
        }
    ]
}

Buffer Profile Fields

Field Name

Type

DataSetId

int

Id

int

LocationId

int

Name

text

Location

text

Description

text

InventoryAlertLevel

int?

OrderSpikeAlertLevel

int?

OrderSpikeHorizon

int?

GreenCalcMode

GreenZoneCalcMode

GreenOrderCycle

decimal

GreenZoneBase

int

YellowOrderCycle

decimal

YellowZoneBase

int

RedOrderCycle

decimal

RedSafetyZone

int

RedZoneBase

int

ProfileType

BufferProfileType

PartType

PartType

Status

BufferProfileStatus

LeadTimeMin

int

LeadTimeMax

int

VariabilityMin

int

VariabilityMax

int

OrderMinGTGreenZoneOrderCycleCalc

bool

BufferProfileStatus

Value

Active

Preview

BufferProfileType

Value

Custom

Auto

GreenCalcMode

Value

OrderCycle

MoQ

OverLeadType

Last updated